************************************************************************
*
*  File: NUGTSRC
*
*  Returns the source code for the given TestCase.
*
*  Tags: NUNIT
*
*  Parameters:
*    NUTCSRCP.LIBRARY  - The library.
*    NUTCSRCP.TESTCASE - The TestCase's program name.
*
*  Returns:
*    NUTCSRCP.SOURCE-LINES - The TestCase's source code.
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: NUGTCSRC.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA

PARAMETER USING NUTCSRCP
*
LOCAL
01 #PROGRAM-PATH (A) DYNAMIC
01 #LINE-WITH-NUMBER (A1004)
01 REDEFINE #LINE-WITH-NUMBER
  02 #LINE-NUMBER (A4) 
  02 #LINE (A1000) 
01 #LINE-COUNTER (N6)
END-DEFINE
*
DEFINE SUBROUTINE GET-TESTCASE-SOURCE
*
COMPRESS '/home2/sag/nat/fuser/' LIBRARY '/SRC/' TESTCASE '.NSN' INTO #PROGRAM-PATH LEAVING NO SPACE
DEFINE WORK FILE 25 #PROGRAM-PATH TYPE 'ASCII'
READ WORK 25 #LINE-WITH-NUMBER
*
  ADD 1 TO #LINE-COUNTER 
  RESIZE ARRAY SOURCE-LINES TO (1:#LINE-COUNTER) 
  COMPRESS #LINE INTO SOURCE-LINES(#LINE-COUNTER) 
*
END-WORK
CLOSE WORK 25
*
END-SUBROUTINE
*
END

